<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';

$database = new Database();
$db = $database->getConnection();

// Handle GET request
if (isset( $_GET['branchid'])) {
   
    $branchid = $_GET['branchid'];
    // Prepare the SQL statement
    $sql = "SELECT p.id, p.name, n.message, p.start_time as start_date, p.end_time as end_date, p.published as is_published, COUNT(i.id) AS count 
            FROM promotions p
            JOIN promonotifications n ON p.id = n.promotionID
            LEFT JOIN promotionsitems i ON p.id = i.promotionID 
            GROUP BY p.id ";
            
     $stmt = $db->prepare($sql);
    $stmt->execute();

    // Check if any rows were returned
    if ($stmt->rowCount() > 0) {
        // Fetch the rows and build an array of promotions
        $promotions = array();
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
            $promotion = array(
                "id" => $row["id"],
                "name" => $row["name"],
                "message" => $row["message"],
                "start_date" => $row["start_date"],
                "end_date" => $row["end_date"],
                "is_published" => $row["is_published"],
                "count" => $row["count"]
            );
            array_push($promotions, $promotion);
        }

        // Return the promotions array as JSON
        http_response_code(200);
        echo json_encode($promotions);
    } else {
        // No rows were returned
        http_response_code(404);
        echo json_encode(array("message" => "No promotions found."));
    }
}
?>
