<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

$json = file_get_contents('php://input');
$data = json_decode($json, true);

  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

$cell = $data['cell'];

// Connect to the database
include '../config/database2.php';

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Prepare and execute the SQL statement to check if the mobile exists
$stmt = $conn->prepare("SELECT email, cell FROM customer WHERE cell = ?");
$stmt->bind_param("s", $cell);
$stmt->execute();
$result = $stmt->get_result();

// Check if the email was found
if ($result->num_rows > 0) {
    $row = $result->fetch_assoc();
    $phone = $row['cell'];
    $email = $row['email'];

    // Generate a new OTP
    $otp = rand(100000, 999999);

    // Update the OTP column in the database
    $stmt = $conn->prepare("UPDATE customer SET otp = ? WHERE email = ?");
    $stmt->bind_param("ss", $otp, $email);
    $stmt->execute();

    $message = "Dear Customer, Your One Time password is " . $otp . ". Do not share it with anyone.";

    // Send OTP via email
    $to = $email;
    $subject = 'One-Time Password';
    $headers = 'From: kassmattsupermarket@gmail.com' . "\r\n" .
               'Reply-To: kassmattsupermarket@gmail.com' . "\r\n" .
               'X-Mailer: PHP/' . phpversion();
    
    $email_sent = mail($to, $subject, $message, $headers);

    // Send the OTP to the phone number of the user
    $postData = array(
        'acc_no' => '0311',
        'api_key' => 'T3d2p2m4g7R8zEZejUr6h8h5tAv8PAD1',
        'sender_id' => 'KASSMATT_SM',
        'message' => $message,
        'msisdn' => $phone,
        'dlr_url' => '',
        'linkID' => ''
    );

    $url = "https://isms.infosky.co.ke/sms2/api/v1/send-sms";

    $ch = curl_init();
    curl_setopt_array($ch, array(
        CURLOPT_URL => $url,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => $postData
    ));

    $sms_success = curl_exec($ch);
    curl_close($ch);

    if ($email_sent && $sms_success) {
        $response = [
            'success' => true,
            'message' => 'OTP sent to ' . $phone . ' and ' . $email
        ];
        echo json_encode($response);
    } else {
        $response = [
            'success' => false,
            'message' => 'Unable to send OTP. Please try again later.'
        ];
        echo json_encode($response);
    }
} else {
    // Return an error message if the email was not found
    $response = [
        'success' => false,
        'message' => $cell . ' does not exist. Please try again.'
    ];
    echo json_encode($response);
}

$conn->close();
?>
