<?php

// Retrieve the callback data from the request body
$callbackData = json_decode(file_get_contents('php://input'), true);

// Extract the necessary information from the callback data
$merchantRequestID = $callbackData['Body']['stkCallback']['MerchantRequestID'];
$checkoutRequestID = $callbackData['Body']['stkCallback']['CheckoutRequestID'];
$transactionID = $callbackData['Body']['stkCallback']['CallbackMetadata']['Item'][1]['Value'];
$phoneNumber = $callbackData['Body']['stkCallback']['CallbackMetadata']['Item'][4]['Value'];
$amount = $callbackData['Body']['stkCallback']['CallbackMetadata']['Item'][0]['Value'];
if ($callbackData['Body']['stkCallback']['ResultCode'] == 0) {
    $status = '1';
} else {
    $status = '0';
}

$ResultCode = $callbackData['Body']['stkCallback']['ResultCode'];
$ResultDesc = $callbackData['Body']['stkCallback']['ResultDesc'];


    // Connect to the database
    include '../config/database3.php';

    // Check connection
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    // Prepare the insert statement
    $stmt = $conn->prepare("INSERT INTO payments_new (transaction_id, merchant_request_id, checkout_request_id, phone_number, amount, status, ResultCode, ResultDesc)
                            VALUES (?, ?, ?, ?, ?, ?, ?, ?)");
    $stmt->bind_param("sssssiss", $transactionID, $merchantRequestID, $checkoutRequestID, $phoneNumber, $amount, $status, $ResultCode, $ResultDesc);

    // Execute the insert statement
    if ($stmt->execute()) {
        echo "Payment details inserted successfully";
    } else {
        echo "Error inserting payment details: " . $stmt->error;
    }

    // Close the database connection
    $stmt->close();
    $conn->close();

?>
