<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

// Connect to the database
include '../config/database2.php';

  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get branchid from query parameter
$branchid = $_GET['branchid'];

// Fetch all promotions where is_published = true and not expired
$sql = "SELECT promotions.id as id, promotions.Name as name, promotions.created_at AS creation_date,promotions.start_time,promotions.end_time, promonotifications.message AS notification,promotions.published AS is_published
        FROM promotions
        INNER JOIN promonotifications ON promotions.id = promonotifications.promotionID
        WHERE promotions.published = 1 AND promotions.end_time >= NOW()  AND promotions.start_time <= NOW() AND promotions.branchid = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param('i', $branchid);
$stmt->execute();
$result = $stmt->get_result();
$promotions = [];
while ($row = $result->fetch_assoc()) {
    $promotions[] = $row;
}



// Loop through the promotions and fetch the promo items for each promotion
foreach ($promotions as &$promotion) {
    $promoId = $promotion['id'];
    $sql = "SELECT promotionsitems.id as id1, promotionsitems.ItemID AS item_id,promotionsitems.promotionID AS promotion_id,promotionsitems.quantity,promotionsitems.price,promotionsitems.limitedquantity, item.description AS name, item.longdescription AS description,item.is_serial, inventorylocationitems.price AS before_price,CONCAT('https://admin.kassmatt.com/dist/img/items/', item.ID, '/', productimages.pic1) AS image_url
            FROM promotionsitems
            INNER JOIN item ON promotionsitems.ItemID = item.ID
            INNER JOIN
    inventorylocationitems ON promotionsitems.ItemID = inventorylocationitems.itemID
            INNER JOIN
    productimages ON promotionsitems.ItemID = productimages.itemID
            WHERE promotionsitems.quantity>1 AND promotionsitems.promotionID = ? AND productimages.pic1 IS NOT NULL AND productimages.pic1 != '' ";
            
    $stmt = $conn->prepare($sql);
    $stmt->bind_param('i', $promoId);
    $stmt->execute();
    $result = $stmt->get_result();
    $promoItems = [];
    while ($row = $result->fetch_assoc()) {
        $promoItems[] = $row;
    }
    
   

    // Convert the promo item data into the desired structure
    $promoItems = array_map(function($item) {
        return array(
       'id' =>  '4230202' .$item['id1'] . '-' . '-' . $item['price'] . '-' . $item['item_id'],
    'item_id' => $item['item_id'],
    'promotion_id' => $item['promotion_id'],
    'name' => $item['name'],
    'description' => $item['description'],
    'before_price' => $item['before_price'],
    'price' => $item['price'],
    'quantity' => $item['quantity'],
    'image_url' => $item['image_url'],
    "serial" =>  $item['is_serial']
        );
    }, $promoItems);

    $promotion['promo_items'] = $promoItems;
}

// Return the promotions data
http_response_code(200);
echo json_encode($promotions);
$conn->close();

?>

