<?php
  header("Access-Control-Allow-Origin: *");
  header("Content-Type: application/json; charset=UTF-8");
  header("Access-Control-Allow-Methods: POST");
  header("Access-Control-Max-Age: 3600");
  header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

  $json = file_get_contents('php://input');
  $data = json_decode($json, true);

  $phone = $data['number'];
  $password = $data['password'];

  // Connect to the database
  include '../../config/database2.php';

  // Check connection
  if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
  }

  // Hash the input password
  $hashedPassword = md5($password);

  // Prepare and execute the SQL statement
  $stmt = $conn->prepare("SELECT users.*, inventorylocation.Description AS branchname
FROM users
JOIN inventorylocation ON inventorylocation.ID = users.branchid
WHERE phone = ? AND password = ? AND user_roleid = 4
");
    
    
  $stmt->bind_param("ss", $phone, $hashedPassword);
  $stmt->execute();
  $result = $stmt->get_result();

  // Check if a user was found
  if ($result->num_rows > 0) {
    $user = $result->fetch_assoc();

    // Return the user data
    $response = [
        'success' => true,
        'user' => [
            'id' => $user['id'],
            'number' => $user['phone'],
            'branchid' => $user['branchid'],
            'fullname'=>$user['name'],
            'email'=>$user['email'],
            'branchname' =>$user['branchname'],
            
            
        ]
    ];

    echo json_encode($response);
  } else {
    // Return an error message if no user was found
    $response = [
        'success' => false,
        'message' => 'Login failed. Incorrect phone or password.'
    ];

    echo json_encode($response);
  }

  $conn->close();
?>
