<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

// Connect to the database
include '../config/database2.php';

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get the search term and branch ID from the request parameters
$searchTerm = isset($_GET['searchTerm']) ? $_GET['searchTerm'] : '';
$branchId = isset($_GET['branchid']) ? $_GET['branchid'] : '';


// Sanitize the search term
$searchTerm = "%" . mysqli_real_escape_string($conn, $searchTerm) . "%";


// Fetch the items that match the search term and branch ID
$sql = "SELECT item.id AS itemID, item.description, item.longdescription, item.departmentID, department.Name AS department_name, inventorylocationitems.price, inventorylocationitems.cost, inventorylocationitems.quantity, itemimages.pic1 AS imageUrl
        FROM inventorylocationitems
        INNER JOIN item ON inventorylocationitems.itemID = item.id
        LEFT JOIN itemimages ON inventorylocationitems.itemID = itemimages.itemID
        LEFT JOIN department ON item.departmentID = department.ID
        WHERE inventorylocationitems.inventoryLocation = ? AND inventorylocationitems.quantity > 1 AND department.Name IS NOT NULL AND itemimages.pic1 IS NOT NULL AND itemimages.pic1 != '' AND item.description LIKE ?
        ";
$stmt = $conn->prepare($sql);
$stmt->bind_param("is", $branchId, $searchTerm);
$stmt->execute();
$result = $stmt->get_result();



// Group the items by department
$items = array();
while ($row = $result->fetch_assoc()) {
    $items[] = array(
        'id' => '224203' . $row['cost'] . '+' . $row['itemID'] . '+' . $row['price'],
        'itemID' => $row['itemID'],
        'description' => $row['description'],
        'longdescription' => $row['longdescription'],
        'price' => $row['price'],
        'cost' => $row['cost'],
        'quantity' => $row['quantity'],
        'imageUrl' => $row['imageUrl'],
    );
}

// Return the array of items as JSON
echo json_encode($items);

$conn->close();

?>