<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

$json = file_get_contents('php://input');
$data = json_decode($json, true);

// Get the branch ID from the query parameter
$branchId = $data['branchid'];
$cell = $data['cell'];

  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}


// Connect to the database
include '../config/database2.php';

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Update the branch ID for  customer

$sql = "UPDATE customer SET branchid = ? WHERE cell = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("is", $branchId, $cell);
$result = $stmt->execute();

$response = array();

if ($stmt->execute()) {
    // Success response
  
      $response = [
      'success' => true,
      'message' => 'Branch updated successfully.'
  ];

  echo json_encode($response);
} else {
    // Failure response
      $response = [
      'success' => false,
      'message' => 'Failed to update Branch,try again.'
  ];

  echo json_encode($response);
}


$conn->close();
?>
