<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

// Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';

if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

// Get the JSON data from the request body
$json = file_get_contents('php://input');
$data = json_decode($json, true);

// Extract the data fields
$itemid = $data['itemid'];
//$quantity = $data['quantity'];
$quantity = 1;
$type = $data['type'];
$userid = $data['userid'];
$branchid = $data['branchid'];
$centralized = $data['centralized'];

// Connect to the database
include '../config/database3.php';
include '../config/url.php';


// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Check if the item already exists in the cart
$checkStmt = $conn->prepare("SELECT * FROM cart WHERE itemid = ? AND type = ? AND branchid =? AND userid = ?");
$checkStmt->bind_param("isii", $itemid,$type,$branchid, $userid);
$checkStmt->execute();
$checkResult = $checkStmt->get_result();

if ($checkResult->num_rows > 0) {
    $response = [
        'success' => false,
        'message' => 'Item already exists in the cart.'
    ];
} else {
    // Insert the cart data into the database
    $insertStmt = $conn->prepare("INSERT INTO cart (itemid, quantity, type, userid,branchid, centralized) VALUES (?, ?, ?, ?, ?,?)");
    $insertStmt->bind_param("iisiii", $itemid, $quantity, $type, $userid, $branchid,$centralized);
    $insertStmt->execute();

    // Check if the insertion was successful
    if ($insertStmt->affected_rows > 0) {
        $response = [
            'success' => true,
            'message' => 'Item added to cart successfully.'
        ];
    } else {
        $response = [
            'success' => false,
            'message' => 'Failed to save cart data.'
        ];
    }
}

echo json_encode($response);

$conn->close();
?>
