<?php

// Retrieve the callback data from the request body
$callbackData = json_decode(file_get_contents('php://input'), true);

// Extract the necessary information from the callback data
$merchantRequestID = $callbackData['Body']['stkCallback']['MerchantRequestID'];
$checkoutRequestID = $callbackData['Body']['stkCallback']['CheckoutRequestID'];
$transactionID = $callbackData['Body']['stkCallback']['CallbackMetadata']['Item'][1]['Value'];
$phoneNumber = $callbackData['Body']['stkCallback']['CallbackMetadata']['Item'][4]['Value'];
$amount = $callbackData['Body']['stkCallback']['CallbackMetadata']['Item'][0]['Value'];
$status = $callbackData['Body']['stkCallback']['ResultCode'] === 0 ? 'completed' : 'incompleteeddd';
$ResultCode = $callbackData['Body']['stkCallback']['ResultCode'];


// Check if the payment is successful
if ($status === 'completed') {
    // Connect to the database
   
  include '../config/database2.php';

  // Check connection
  if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
  }

   

    // Prepare the insert statement
    $stmt = $conn->prepare("INSERT INTO payments_new (transaction_id, merchant_request_id, checkout_request_id, phone_number, amount, status,ResultCode )
                            VALUES (?, ?, ?, ?, ?, ?,?)");
    $stmt->bind_param("ssssdsi", $transactionID, $merchantRequestID, $checkoutRequestID, $phoneNumber, $amount, $status,$ResultCode);

    // Execute the insert statement
    if ($stmt->execute()) {
        echo "Payment details inserted successfully";
    } else {
        echo "Error inserting payment details: " . $stmt->error;
    }

    // Close the database connection
    $stmt->close();
    $conn->close();
} else {
    echo "Payment was not successful. Ignoring the callback.";
}
?>
