<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

// Connect to the database
include '../config/database3.php';

// Check the database connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}



// Check if the required query parameters are provided
if (isset($_GET['orderid']) && isset($_GET['customer-email'])) {
    // Fetch order details from the database
    $orderId = $_GET['orderid'];
    $sql = "SELECT OrdersEntry.*, item.description AS name, Orders.Total,Orders.Amount,Orders.ShippingFees,inventorylocation.Description AS branch
            FROM OrdersEntry
            LEFT JOIN Orders ON OrdersEntry.OrderID = Orders.OrderID
            LEFT JOIN item ON OrdersEntry.itemID = item.id
            LEFT JOIN inventorylocation ON Orders.StoreID = inventorylocation.ID
            WHERE OrdersEntry.OrderID = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $orderId);
    $stmt->execute();
    $result = $stmt->get_result();
    $orderDetails = $result->fetch_all(MYSQLI_ASSOC);
    $stmt->close();
    
   // Generate the invoice HTML content based on the order details
$invoiceHTML = "<h1>Kassmatt Supermarket Invoice</h1>";

// Check if any order details were fetched from the database
if (!empty($orderDetails)) {
    $invoiceHTML .= "<div style='background-color: #EFEAEA; padding: 20px;'>";
    $invoiceHTML .= "<h2 style='color: #1e5f47;'>Invoice " . $orderDetails[0]['branch'] . "</h2>";
    $invoiceHTML .= "<p style='font-size: 18px;'>Dear " . $_GET['customer-name'] . ",</p>";

    $invoiceHTML .= "<p style='font-size: 18px; margin-top: -10px;'>Your order was successfully placed. Thank you for shopping with us.</p>";
 
    $invoiceHTML .= "<p style='font-size: 18px; margin-top: -10px;'>Invoice #" . $orderDetails[0]['OrderID'] . "</p>";

    $invoiceHTML .= "<table style='width: 100%; border-collapse: collapse; margin-top: 20px;'>";
    $invoiceHTML .= "<tr>
                        <th style='background-color: #EFEAEA; padding: 10px;'>Item Name</th>
                        <th style='background-color: #EFEAEA; padding: 10px;'>Price</th>
                        <th style='background-color: #EFEAEA; padding: 10px;'>Quantity</th>
                    </tr>";

    $stripeColors = array("#f9f9f9", "#e5e5e5"); // Define stripe colors

    foreach ($orderDetails as $key => $orderItem) {
        $stripeColor = $stripeColors[$key % 2]; // Alternate stripe color

        $invoiceHTML .= "<tr style='background-color: $stripeColor;'>";
        $invoiceHTML .= "<td style='padding: 10px;'>" . $orderItem['name'] . "</td>";
        $invoiceHTML .= "<td style='padding: 10px;'>" . $orderItem['Price'] . "</td>";
        $invoiceHTML .= "<td style='padding: 10px;'>" . $orderItem['Quantity'] . "</td>";
        $invoiceHTML .= "</tr>";
    }

    $invoiceHTML .= "</table>";

    $invoiceHTML .= "<div style='margin-top: 20px;'>";
     $invoiceHTML .= "<p style='font-weight: bold; text-align: right;'>Payment Method: M-pesa </p>";
    $invoiceHTML .= "<p style='font-weight: bold; text-align: right;'>Amount: " . $orderDetails[0]['Amount'] . "</p>";
    $invoiceHTML .= "<p style='font-weight: bold; text-align: right;'>Shipping Fees: " . $orderDetails[0]['ShippingFees'] . "</p>";
    $invoiceHTML .= "<p style='font-size: 24px; font-weight: bold; text-align: right;'>Total: " . $orderDetails[0]['Total'] . "</p>";
    $invoiceHTML .= "</div>";

    $invoiceHTML .= "</div>";
} else {
    $invoiceHTML .= "<p>No order details found.</p>";
}



    
    // Send the invoice email to the customer
$customerEmail = $_GET['customer-email'];

$to = $customerEmail;
$subject = "Invoice";
$message = $invoiceHTML;
$headers = "From: kassmattsupermarket@gmail.com" . "\r\n" .
           "Reply-To: kassmattsupermarket@gmail.com" . "\r\n" .
           "Content-Type: text/html; charset=UTF-8" . "\r\n";

// Send the email
if (mail($to, $subject, $message, $headers)) {
    echo "Invoice email sent successfully.";
} else {
    echo "Failed to send the invoice email.";
}

    
    // Return a success response
    http_response_code(200);
    echo json_encode(array("message" => "Invoice sent successfully."));
} else {
    // Return an error response if the required query parameters are missing
    http_response_code(400);
    echo json_encode(array("message" => "Missing query parameters."));
}
