<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

// Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';

if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

$userid = $_GET['userid'];
$branchid =  $_GET['branchid'];
$is_payment_summary = $_GET['payment_summary'];

// Connect to the database
include '../config/database3.php'; 
include '../config/url.php';

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

if ($is_payment_summary == 0) {
// Fetch all cart items from the database
$stmt = $conn->prepare("
SELECT 
    c.id,
    c.itemid,
    c.quantity,
    c.branchid,
    c.userid,
    c.type,
    i.Description AS name,
    i.Cost AS cost,
    i.SalePrice AS fullprice,
    COALESCE(i.TaxID, 0) AS taxID,
    COALESCE(tax.Description, '') AS taxDescription,
    COALESCE(tax.Percentage, 0.000) AS taxPercentage,
     CASE 
        WHEN i.SerialNumberCount IS NOT NULL AND i.SerialNumberCount > 0 THEN 1
        ELSE 0
    END AS is_serial,
    CASE 
            WHEN i.Inactive = 0 THEN 'Active'
            WHEN i.Inactive = 1 THEN 'Inactive'
            ELSE 'Unknown'
        END AS status,
    CASE 
        WHEN c.type = 'product' THEN i.Price
        WHEN c.type = 'flashsale' THEN fs.price
        WHEN c.type = 'promotion' THEN pr.price
        WHEN c.type = 'discount' THEN d.price
        ELSE NULL
    END AS price,
    CASE 
        WHEN c.type = 'product' THEN i.quantity
        WHEN c.type = 'flashsale' THEN fs.quantity
        WHEN c.type = 'promotion' THEN pr.quantity
        WHEN c.type = 'discount' THEN d.quantity
        ELSE NULL
    END AS availablequantity,
    CONCAT('$url', pi.pic1) AS imageUrl,
      CASE 
        WHEN COALESCE(tax.Percentage, 0.000) <> 0.000 THEN 1  
        ELSE 0
    END AS taxable,
      CASE 
        WHEN c.type = 'product' THEN i.Price * c.quantity
        WHEN c.type = 'flashsale' THEN fs.price * c.quantity
        WHEN c.type = 'promotion' THEN pr.price * c.quantity
        WHEN c.type = 'discount' THEN d.price * c.quantity
        ELSE NULL
    END AS totalprice
    
FROM 
    cart c
    
LEFT JOIN 
    item i ON c.itemid = i.ID
    
LEFT JOIN 
    item fs ON c.itemid = fs.ID
    
LEFT JOIN 
    item pr ON c.itemid = pr.ID
    
LEFT JOIN 
    item d ON c.itemid = d.ID
    
LEFT JOIN 
    productimages pi ON c.itemid = pi.itemID
    
    LEFT JOIN 
    tax ON i.TaxID = tax.ID
    
WHERE 
    c.userid = ?
");

} else if ($is_payment_summary == 1) {
    
    $stmt = $conn->prepare("
SELECT 
    c.id,
    c.itemid,
    c.quantity,
    c.branchid,
    c.userid,
    c.type,
    i.Description AS name,
    i.Cost AS cost,
    i.SalePrice AS fullprice,
    COALESCE(i.TaxID, 0) AS taxID,
    COALESCE(tax.Description, '') AS taxDescription,
    COALESCE(tax.Percentage, 0.000) AS taxPercentage,
     CASE 
        WHEN i.SerialNumberCount IS NOT NULL AND i.SerialNumberCount > 0 THEN 1
        ELSE 0
    END AS is_serial,
    CASE 
            WHEN i.Inactive = 0 THEN 'Active'
            WHEN i.Inactive = 1 THEN 'Inactive'
            ELSE 'Unknown'
        END AS status,
    CASE 
        WHEN c.type = 'product' THEN i.Price
        WHEN c.type = 'flashsale' THEN fs.price
        WHEN c.type = 'promotion' THEN pr.price
        WHEN c.type = 'discount' THEN d.price
        ELSE NULL
    END AS price,
    CASE 
        WHEN c.type = 'product' THEN i.quantity
        WHEN c.type = 'flashsale' THEN fs.quantity
        WHEN c.type = 'promotion' THEN pr.quantity
        WHEN c.type = 'discount' THEN d.quantity
        ELSE NULL
    END AS availablequantity,
    CONCAT('$url',pi.pic1) AS imageUrl,
    CASE 
        WHEN COALESCE(tax.Percentage, 0.000) <> 0.000 THEN 1  
        ELSE 0
    END AS taxable,
      CASE 
        WHEN c.type = 'product' THEN i.Price * c.quantity
        WHEN c.type = 'flashsale' THEN fs.price * c.quantity
        WHEN c.type = 'promotion' THEN pr.price * c.quantity
        WHEN c.type = 'discount' THEN d.price * c.quantity
        ELSE NULL
    END AS totalprice
    
FROM 
    cart c
    
LEFT JOIN 
    item i ON c.itemid = i.ID
    
LEFT JOIN 
    item fs ON c.itemid = fs.ID
    
LEFT JOIN 
    item pr ON c.itemid = pr.ID
    
LEFT JOIN 
    item d ON c.itemid = d.ID
    
LEFT JOIN 
    productimages pi ON c.itemid = pi.itemID

    
     LEFT JOIN 
    tax ON i.TaxID = tax.ID
    
    
    WHERE 
    c.userid = ? 
   
    AND COALESCE(i.quantity, fs.quantity, pr.quantity, d.quantity) > 0

   
");
    
}

$stmt->bind_param("i", $userid);
$stmt->execute();
$result = $stmt->get_result();


// Check if there are any cart items
if ($result->num_rows > 0) {
    $cartItems = [];

    while ($row = $result->fetch_assoc()) {
         // Convert quantity and available quantity to integers
        $row['quantity'] = (int)$row['quantity'];
        $row['availablequantity'] = (int)$row['availablequantity'];

        // Convert price to double
        $row['price'] = (double)$row['price'];
        $row['totalprice'] = (double)$row['totalprice'];

        $cartItems[] = $row;
    }

} else {
    
  
  $cartItems = [];
}

http_response_code(200);
echo json_encode($cartItems);
$conn->close();
?>
