<?php
    class Member{

        // Connection
        private $conn;

        // Table
        private $db_table = "members";

        // Columns
        public $ID;
        public $Fullname;
        public $Idnumber;
        public $Loyaltyno;
        public $Gender;
        public $Physicaladdress;
        public $Postaladdress;
        public $Town;
        public $Mobile;
        public $EmailAdd;
        public $DateofBirth;
        public $TotalCredit;
        public $TotalDebit;
        public $Balance;
        public $TotalKsh;
        public $OTP;
        public $name;
        public $email;
        public $phone;
        public $message;
        public $creationtime;
      
       


        // Db connection
        public function __construct($db){
            $this->conn = $db;
        }

    

        // GET Member
        public function getMember(){           
            $sqlQuery = "SELECT
                        ID, 
                        Fullname, 
                        Idnumber, 
                        Loyaltyno, 
                        Gender,
                        Physicaladdress, 
                        Postaladdress,
                        Town,
                        Mobile,
                        EmailAdd,
                        DateofBirth,
                        TotalCredit,
                        TotalDebit,
                        Balance,
                        OTP
                      FROM
                        ". $this->db_table ."
                    WHERE 
                    Mobile = ?
                    LIMIT 0,1";

            $stmt = $this->conn->prepare($sqlQuery);
            

            $stmt->bindParam(1, $this->Mobile);

            $stmt->execute();

            $dataRow = $stmt->fetch(PDO::FETCH_ASSOC);
            
            $this-> ID = $dataRow['ID'];
            $this-> Fullname = $dataRow['Fullname'];
            $this-> Idnumber= $dataRow['Idnumber'];
            $this->Loyaltyno = $dataRow['Loyaltyno'];
            $this->Gender = $dataRow['Gender'];
            $this->Physicaladdress = $dataRow['Physicaladdress'];
            $this->Postaladdress = $dataRow['Postaladdress'];
            $this->Town = $dataRow['Town'];
            $this-> Mobile= $dataRow['Mobile'];
            $this-> EmailAdd= $dataRow['EmailAdd'];
            $this->DateofBirth = $dataRow['DateofBirth'];
            $this->TotalCredit = $dataRow['TotalCredit'];
            $this->TotalDebit = $dataRow['TotalDebit'];
            $this->Balance = $dataRow['Balance'];
            $this->OTP = $dataRow['OTP'];
           
        }        



        function updateMember(){

            $sqlQuery = 'UPDATE
            members
        SET
        Fullname = :Fullname, 
        Gender = :Gender, 
        Physicaladdress = :Physicaladdress, 
        Postaladdress = :Postaladdress, 
        Town = :Town,
        EmailAdd =:EmailAdd,
        DateofBirth =:DateofBirth
        
        WHERE 
            Mobile = :Mobile'
            ;

        $stmt = $this->conn->prepare($sqlQuery);
	 
         
         //clean data
            $this->Fullname = htmlspecialchars(strip_tags($this->Fullname));
            $this->Gender = htmlspecialchars(strip_tags($this->Gender));
            $this->Physicaladdress = htmlspecialchars(strip_tags($this->Physicaladdress));
            $this->Postaladdress = htmlspecialchars(strip_tags($this->Postaladdress));
            $this->Town = htmlspecialchars(strip_tags($this->Town));
            $this->EmailAdd = htmlspecialchars(strip_tags($this->EmailAdd));
            $this->DateofBirth = htmlspecialchars(strip_tags($this->DateofBirth));
            
         //bind data
            $stmt->bindParam(":Fullname", $this->Fullname);
            $stmt->bindParam(":Gender", $this->Gender);
            $stmt->bindParam(":Physicaladdress", $this->Physicaladdress);
            $stmt->bindParam(":Postaladdress", $this->Postaladdress);
            $stmt->bindParam(":Town", $this->Town);
            $stmt->bindParam(":EmailAdd", $this->EmailAdd);
            $stmt->bindParam(":DateofBirth", $this->DateofBirth);
            $stmt->bindParam(":Mobile", $this->Mobile);

            
            if($stmt->execute()){
                return true;
            }

            //print error if something goes wrong
            printf("Errror %s.\n",$stmt->error);
         
            return false;
        }


        //send a message
        public function sendmessage(){
            $sqlQuery = "INSERT INTO
                        Messages
                    SET
                        name = :name, 
                        email = :email, 
                        phone = :phone, 
                        message = :message
                        ";
        
            $stmt = $this->conn->prepare($sqlQuery);
        
            // sanitize
            $this->name=htmlspecialchars(strip_tags($this->name));
            $this->email=htmlspecialchars(strip_tags($this->email));
            $this->phone=htmlspecialchars(strip_tags($this->phone));
            $this->message=htmlspecialchars(strip_tags($this->message));
            
        
            // bind data
            $stmt->bindParam(":name", $this->name);
            $stmt->bindParam(":email", $this->email);
            $stmt->bindParam(":phone", $this->phone);
            $stmt->bindParam(":message", $this->message);
            
        
            if($stmt->execute()){
               return true;
            }
            return false;
        }

        //get all messages
        public function getMessages(){
            $sqlQuery = "SELECT id, name, email, phone, message, creationtime FROM Messages";
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->execute();
            return $stmt;
        }
        
     
        

      

    }
?>

