<?php
    class Orders{

        // Connection
        private $conn;

        // Table
        private $db_table = "transaction";

   

        // Columns
        public $ID;
        public $transactionID;
        public $customerID;
        public $tdatetime;
        public $deliveryoptionID;
        public $deliveryregionID;
        public $totalweight;
        public $salestax;
        public $synced;
        public $itemID;
        public $cost;
        public $price;
        public $fullprice;
        public $quantity;
       


       
      
        // Db connection
        public function __construct($db){
            $this->conn = $db;
        }



        //post transactions
        function postTransaction(){

            $sqlQuery = "INSERT INTO
            transaction
        SET
        customerID = :customerID, 
        tdatetime = :tdatetime, 
        deliveryoptionID = :deliveryoptionID, 
        deliveryregionID = :deliveryregionID, 
        totalweight = :totalweight,
        total =:total,
        salestax =:salestax,
        synced =:synced ";

        
       

        $stmt = $this->conn->prepare($sqlQuery);
	 
         
         //clean data
            $this->customerID = htmlspecialchars(strip_tags($this->customerID));
            $this->tdatetime = htmlspecialchars(strip_tags($this->tdatetime));
            $this->deliveryoptionID = htmlspecialchars(strip_tags($this->deliveryoptionID));
            $this->deliveryregionID = htmlspecialchars(strip_tags($this->deliveryregionID));
            $this->totalweight = htmlspecialchars(strip_tags($this->totalweight));
            $this->total = htmlspecialchars(strip_tags($this->total));
            $this->salestax = htmlspecialchars(strip_tags($this->salestax));
            $this->synced = htmlspecialchars(strip_tags($this->synced));
            
         //bind data
            $stmt->bindParam(":customerID", $this->customerID);
            $stmt->bindParam(":tdatetime", $this->tdatetime);
            $stmt->bindParam(":deliveryoptionID", $this->deliveryoptionID);
            $stmt->bindParam(":deliveryregionID", $this->deliveryregionID);
            $stmt->bindParam(":totalweight", $this->totalweight);
            $stmt->bindParam(":total", $this->total);
            $stmt->bindParam(":salestax", $this->salestax);
            $stmt->bindParam(":synced", $this->synced);

            
            if($stmt->execute()){
                return true;
            }

            //print error if something goes wrong
            printf("Errror %s.\n",$stmt->error);
         
            return false;
        }


    


          //post transactions entry
          function postTransactionEntry(){

            $sqlQuery = "INSERT INTO
            transactionentry
        SET
        transactionID = :transactionID, 
        itemID = :itemID, 
        cost = :cost, 
        price = :price, 
        fullprice = :fullprice,
        quantity =:quantity,
        salestax =:salestax,
        synced = :synced ";
       

        $stmt = $this->conn->prepare($sqlQuery);
	 
         
         //clean data
            $this->transactionID = htmlspecialchars(strip_tags($this->transactionID));
            $this->itemID = htmlspecialchars(strip_tags($this->itemID));
            $this->cost = htmlspecialchars(strip_tags($this->cost));
            $this->price = htmlspecialchars(strip_tags($this->price));
            $this->fullprice = htmlspecialchars(strip_tags($this->fullprice));
            $this->quantity = htmlspecialchars(strip_tags($this->quantity));
            $this->salestax = htmlspecialchars(strip_tags($this->salestax));
            $this->synced = htmlspecialchars(strip_tags($this->synced));
            
         //bind data
            $stmt->bindParam(":transactionID", $this->transactionID);
            $stmt->bindParam(":itemID", $this->itemID);
            $stmt->bindParam(":cost", $this->cost);
            $stmt->bindParam(":deliveryregionID", $this->deliveryregionID);
            $stmt->bindParam(":totalweight", $this->totalweight);
            $stmt->bindParam(":total", $this->total);
            $stmt->bindParam(":salestax", $this->salestax);
            $stmt->bindParam(":synced", $this->synced);

            
            if($stmt->execute()){
                return true;
            }

            //print error if something goes wrong
            printf("Errror %s.\n",$stmt->error);
         
            return false;
        }



    }
?>

